from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String

Ssu_V0_1_0 = CommandToolBuilder(tool="ssu", base_command=["ssu"], inputs=[ToolInput(tag="in_input_biom_table", input_type=Boolean(optional=True), prefix="-i", doc=InputDocumentation(doc="The input BIOM table.")), ToolInput(tag="in_input_phylogeny_newick", input_type=Boolean(optional=True), prefix="-t", doc=InputDocumentation(doc="The input phylogeny in newick.")), ToolInput(tag="in_the_method_", input_type=Boolean(optional=True), prefix="-m", doc=InputDocumentation(doc="The method, [unweighted | weighted_normalized | weighted_unnormalized | generalized].")), ToolInput(tag="in_output_distance_matrix", input_type=Boolean(optional=True), prefix="-o", doc=InputDocumentation(doc="The output distance matrix.")), ToolInput(tag="in_number_threads_default", input_type=Boolean(optional=True), prefix="-n", doc=InputDocumentation(doc="[OPTIONAL] The number of threads, default is 1.")), ToolInput(tag="in_generalized_unifrac_alpha", input_type=Boolean(optional=True), prefix="-a", doc=InputDocumentation(doc="[OPTIONAL] Generalized UniFrac alpha, default is 1.")), ToolInput(tag="in_bypass_tips_reduces", input_type=Boolean(optional=True), prefix="-f", doc=InputDocumentation(doc="[OPTIONAL] Bypass tips, reduces compute by about 50%.")), ToolInput(tag="in_vaw", input_type=Boolean(optional=True), prefix="--vaw", doc=InputDocumentation(doc="[OPTIONAL] Variance adjusted, default is to not adjust for variance.")), ToolInput(tag="in_mode", input_type=Boolean(optional=True), prefix="--mode", doc=InputDocumentation(doc="[OPTIONAL] Mode of operation:\none-off : [DEFAULT] compute UniFrac.\npartial : Compute UniFrac over a subset of stripes.\npartial-report : Start and stop suggestions for partial compute.\nmerge-partial : Merge partial UniFrac results.")), ToolInput(tag="in_start", input_type=Boolean(optional=True), prefix="--start", doc=InputDocumentation(doc="[OPTIONAL] If mode==partial, the starting stripe.")), ToolInput(tag="in_stop", input_type=Boolean(optional=True), prefix="--stop", doc=InputDocumentation(doc="[OPTIONAL] If mode==partial, the stopping stripe.")), ToolInput(tag="in_partial_pattern", input_type=Boolean(optional=True), prefix="--partial-pattern", doc=InputDocumentation(doc="[OPTIONAL] If mode==merge-partial, a glob pattern for partial outputs to merge.")), ToolInput(tag="in_n_partials", input_type=Boolean(optional=True), prefix="--n-partials", doc=InputDocumentation(doc="[OPTIONAL] If mode==partial-report, the number of partitions to compute.")), ToolInput(tag="in_report_bare", input_type=Boolean(optional=True), prefix="--report-bare", doc=InputDocumentation(doc="[OPTIONAL] If mode==partial-report, produce barebones output.")), ToolInput(tag="in_method", input_type=String(optional=True), position=0, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Ssu_V0_1_0().translate("wdl", allow_empty_container=True)

